Cygport Reference Manual

### TABLE OF CONTENTS

- kf5.cygclass

- kf5_cmake
- kf5_compile
- kf5_install
- src_compile (kf5)
- src_install (kf5)

## kf5.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

SYNOPSIS

      inherit kf5

DESCRIPTION

The KDE project provides a full-featured X desktop with a wide variety of applications, built on a library stack all based on the Qt C++ libraries. Most packages are written in C++ and are built with CMake.

This cygclass manages the building of most KF5-based packages.

INHERITS

cmake.cygclass, kde.org.cygclass, qt5.cygclass

## kf5_cmake

[ Top ] [ kf5.cygclass ] [ Compile Functions ]

SYNOPSIS

      kf5_cmake [OPTIONS]

DESCRIPTION

Runs cygcmake to configure the package with several Cygwin- and KF5-specific options. Additional options, in the form of -DVARIABLE=VALUE, are passed on to cygcmake.

REQUIRES

cmake, extra-cmake-modules, libQt5Core-devel, libQt5Gui-devel

## kf5_compile

[ Top ] [ kf5.cygclass ] [ Compile Functions ]

SYNOPSIS

      kf5_compile [OPTIONS]

DESCRIPTION

Runs kf5_cmake, followed by cygmake or cygninja to compile. Options, in the form of -DVARIABLE=VALUE, are passed on to kf5_cmake.

## kf5_install

[ Top ] [ kf5.cygclass ] [ Install Functions ]

SYNOPSIS

      kf5_install [OPTIONS]

DESCRIPTION

Installs a KF5 package with cyginstall into $D, with the following addition:

- Import libraries for plugins and libkdeinit5_* libraries are removed.

Options, if any, are passed on to cyginstall.

## src_compile (kf5)

[ Top ] [ kf5.cygclass ] [ Overloads ]

DEFINITION

    src_compile() {
            cd ${B}
            : ${CYGCMAKE_GENERATOR=Ninja}
            kf5_cmake
            if [ -f build.ninja ]
            then
                    cygninja
            else
                    cygmake
            fi
    }

## src_install (kf5)

[ Top ] [ kf5.cygclass ] [ Overloads ]

DEFINITION

    src_install() {
            cd ${B}
            kf5_install
    }